package com.jasamedika.medifirst2000.entities;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;

/*
 * @Author yudi
 * Sarpras - Humas
 * Digunakan untuk form DataPerusahaanYangBekerjaSama dan DataAsuransiYangBekerjaSama
 * 
 * */

@Entity
@Table(name = "DataPerusahaanYangBekerjaSama_T")
public class DataPerusahaanYangBekerjaSama extends BaseTransaction{
	
	@Column(name = "NoPks", nullable = true , length = 200)
	@Caption(value="No Pks")
	private String noPks;
	
	@ManyToOne
	@JoinColumn(name = "ObjectRekananFk")
	@Caption(value="Rekanan")
	private Rekanan rekanan;
	
	@Column(name = "ObjectRekananFk", insertable=false,updatable=false, nullable = true)
	private Integer rekananId;
	
	@Column(name = "AnakPerusahaan", nullable = true , length = 200)
	@Caption(value="Anak Perusahaan")
	private String anakPerusahaan;
	
	@Column(name = "JumlahKaryawan", nullable = true)
	@Caption(value="Jumlah Karyawan")
	private Integer jumlahKaryawan;
	
	@Column(name = "Plafon", nullable = true , length = 200)
	@Caption(value="Plafon")
	private String plafon;
	
	@Column(name = "CaraPenagihan", nullable = true , length = 200)
	@Caption(value="Cara Penagihan")
	private String caraPenagihan;
	
	@Column(name = "Alamat", nullable = true , length = 200)
	@Caption(value="Alamat")
	private String alamatPenagihan;
	
	@Column(name = "ContactPerson", nullable = true , length = 200)
	@Caption(value="Contact Person")
	private String contactPerson;
	
	@Column(name = "JangkaAwal", nullable = true , length = 200)
	@Caption(value="Jangka Awal")
	private Date jangkaAwal;
	
	@Column(name = "JangkaAkhir", nullable = true , length = 200)
	@Caption(value="Jangka Akhir")
	private Date jangkaAkhir;
	
	@Column(name = "NamaFilePks", nullable = true , length = 200)
	@Caption(value="Nama File Pks")
	private String namaFilePks;
	
	@Column(name = "NoTelpFax", nullable = true , length = 200)
	@Caption(value="No Telp Fax")
	private String noTelpFax;
	
	@Column(name = "Email", nullable = true , length = 200)
	@Caption(value="Email")
	private String email;
	
	@Column(name = "PathFile", nullable = true , length = 200)
	@Caption(value="Path File")
	private String pathFile;
	
	public String getPathFile() {
		return pathFile;
	}

	public void setPathFile(String pathFile) {
		this.pathFile = pathFile;
	}

	public String getNoPks() {
		return noPks;
	}

	public void setNoPks(String noPks) {
		this.noPks = noPks;
	}

	public Rekanan getRekanan() {
		return rekanan;
	}

	public void setRekanan(Rekanan rekanan) {
		this.rekanan = rekanan;
	}

	public String getAnakPerusahaan() {
		return anakPerusahaan;
	}

	public void setAnakPerusahaan(String anakPerusahaan) {
		this.anakPerusahaan = anakPerusahaan;
	}

	public Integer getJumlahKaryawan() {
		return jumlahKaryawan;
	}

	public void setJumlahKaryawan(Integer jumlahKaryawan) {
		this.jumlahKaryawan = jumlahKaryawan;
	}

	public String getPlafon() {
		return plafon;
	}

	public void setPlafon(String plafon) {
		this.plafon = plafon;
	}

	public String getCaraPenagihan() {
		return caraPenagihan;
	}

	public void setCaraPenagihan(String caraPenagihan) {
		this.caraPenagihan = caraPenagihan;
	}

	public String getAlamatPenagihan() {
		return alamatPenagihan;
	}

	public void setAlamatPenagihan(String alamatPenagihan) {
		this.alamatPenagihan = alamatPenagihan;
	}

	public String getContactPerson() {
		return contactPerson;
	}

	public void setContactPerson(String contactPerson) {
		this.contactPerson = contactPerson;
	}

	public Date getJangkaAwal() {
		return jangkaAwal;
	}

	public void setJangkaAwal(Date jangkaAwal) {
		this.jangkaAwal = jangkaAwal;
	}

	public Date getJangkaAkhir() {
		return jangkaAkhir;
	}

	public void setJangkaAkhir(Date jangkaAkhir) {
		this.jangkaAkhir = jangkaAkhir;
	}

	public String getNamaFilePks() {
		return namaFilePks;
	}

	public void setNamaFilePks(String namaFilePks) {
		this.namaFilePks = namaFilePks;
	}

	public String getNoTelpFax() {
		return noTelpFax;
	}

	public void setNoTelpFax(String noTelpFax) {
		this.noTelpFax = noTelpFax;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}
	
	
	
}
